C-----
      SUBROUTINE POLARNT(Z,NT,M,M1,NOM,NN,E,
     *            EEL,OMEGAO,HFL,HFV,RPAL,RPAV,POL1,POL2,
     *            LAM,S1,S2,S3,S4,OM,C,F,OM2,SL,S,SS,HFSUM)

      INTEGER NOM ,M1,M,U,NT,NN(NT)
      REAL*8 Z,LAML,OM(M),LAM(M),EEL(M,NT),E(NT),
     *  HFL(M,NT),HFV(M,NT),RPAL(M,NT),RPAV(M,NT),                        
     *    S1(M),S2(M),S3(M),S4(M),C(M),F(M),
     *    OM2(M),SL(M),SS(4,M),S(8,NOM),HFSUM(4,NOM),
     *    OMEGAO(NOM),POL1(4,NOM),POL2(4,NOM)

      WRITE(6,10)Z,NT,NOM,M1,M

 10    FORMAT(' DYNAMICAL DIPOLE POLARIZABILITY'//,
     *   'Nuclear charge                   Z=',F5.1,/
     *   'Number of transitions           NT=',I3,/
     *   'NO of result energy points     NOM=',I3,/ 
     *   'NO of discrete points           M1=',I3,/
     *   'Total number of points           M=',I3)
      	 DO 30  I=1,NOM
     	 DO 40  J=1,4   
      	  POL2(J,I)=0.
          HFSUM(J,I)=0.
 40    CONTINUE
 30  	 CONTINUE

       DO 50 I=1,NT
      	 LAML=E(I)
           U=NN(I)
	 WRITE(6,20)I,LAML,U
 20    FORMAT(/'Transition',I5,/
     *        'Hole energy=',E15.8,/
     *        '1st exc.state n=',I5/
     *     '     Photoionization cross sections'/
     *   '     EelRy     EphRy   HF-l     HF-v   RPAE-L     RPAE-V')
       	 DO	60 J=1,M
          LAM(J)=EEL(J,I)
     	   OM(J)=LAM(J)-LAML
     	   S1(J)=HFL(J,I)
     	   S2(J)=HFV(J,I)
         S3(J)=RPAL(J,I)
         S4(J)=RPAV(J,I) 
     	 WRITE(6,70) LAM(J),OM(J),S1(J),S2(J),S3(J),S4(J)
 70  	 FORMAT(6E10.4)
 60  	 CONTINUE
  110  CALL POLAR(M,M1,NOM,U,LAML,LAM,
     *      OM,OMEGAO,S1,S2,S3,S4,POL1,
     *      C,F,OM2,SL,S,SS)
C---------------to print results---------------
C        WRITE(6,86)
C 86     FORMAT('//')
         WRITE(6,510)Z,LAML,U     
 510     FORMAT(/' Z=',F5.1,3X, ' transition',                            
     *      ' E=',E13.6,' 1st exc.state n=',I3)
         WRITE(6,520)       
 520      FORMAT('  Dynamical dipole polarizability'/
     *          '             discrete '/
     *    '   EphRY    HF-l    HF-v    RPAE-l     RPAE-v')
         DO 540 J=1,NOM
          WRITE(6,550)OMEGAO(J), S(1,J),S(2,J),S(3,J),S(4,J)
 540     CONTINUE
         WRITE(6,544)       
 544     FORMAT(/'  Dynamical dipole polarizability'/
     *          '             total '/
     *  ' EphRY    HF-l    HF-v    RPAE-l     RPAE-v')
        DO 545 J=1,NOM
         WRITE(6,550)OMEGAO(J),S(5,J), S(6,J), S(7,J),S(8,J) 
 545    CONTINUE   
 550     FORMAT( 5E12.4) 
         WRITE(6,560)Z,LAML,U
 560     FORMAT(/' Z=',F5.1,3X, ' transition',                            
     *         '  E=',E13.6,' 1st exc. state n=',I3)
         WRITE(6,570)       
 570     FORMAT('  With higher discrete states included'/
     *          '      discrete               total'/
     *    '   EphRY    RPAE-l    RPAE-v    RPAE-l     RPAE-v')
        DO 580 J=1,NOM
         WRITE(6,590) OMEGAO(J),POL1(1,J),POL1(2,J),
     *          POL1(3,J),POL1(4,J)
 590     FORMAT( 5E12.4) 
 580    CONTINUE 
C-------------------------------------------------
	 DO 150  J=1,NOM
	 DO 160  J1=3,4   
	  POL2(J1,J)=POL2(J1,J)+POL1(J1,J)
          HFSUM(J1,J)=HFSUM(J1,J)+S(J1+2,J)
 160	 CONTINUE
 150	 CONTINUE
 50	CONTINUE
C--------contribution of all transitions-------
	WRITE( 6,180) Z
 180	FORMAT  (///'     Z=', F5.1,/)
	WRITE(6,200) NT 
 200	 FORMAT(' Dynamical dipole polarizability'/,
     *    '  total contribution of',I3,'  transitions'/,
     *'       EphRy       HFl      HFv      RPAE-l          RPAE-v' )
	 DO 210 J=1,NOM
	  WRITE(6,220)OMEGAO(J),HFSUM(3,J),HFSUM(4,J),POL2(3,J),POL2(4,J)
220	  FORMAT(5E13.5)
210 	 CONTINUE
      RETURN
      END